[greenstone-users] Install GSDL 2.84 in 64-bits machine

From Mariana Pichinini
DateWed Apr 6 09:06:46 2011
Subject [greenstone-users] Install GSDL 2.84 in 64-bits machine
Hello

Like the Release Notes say, does Greenstone now compile and install on
64-bit machines?

I have installed it in Linux Debian Wheezy with Perl 5.10.1, and the
import.pl script shows this error:

Can't load
'/var/www/gsdlprueba/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.so'
for module XML::Parser::Expat:
/var/www/gsdlprueba/perllib/cpan/perl-5.10/auto/XML/Parser/Expat/Expat.so:
wrong ELF class: ELFCLASS32 at /usr/lib/perl/5.10/DynaLoader.pm line 192.
at /var/www/gsdlprueba/perllib/cpan/perl-5.10/XML/Parser.pm line 14

We see that Expat.so is an 32-bits ELF binary....but the rest of the
library is 64-bits ELF. Is this correct?

Thanks in advance

Lic. Mariana Pichinini
Area Tecnolog□as
_______________________________________________
BIBHUMA - Biblioteca Profesor Guillermo Obiols
Facultad de Humanidades y Ciencias de la Educaci□n
Universidad Nacional de La Plata
Calle 48 entre 6 y 7 - 1er subsuelo
B1900AMW LA PLATA, Argentina
Telefax: +54-221-4230125 interno 162 (l□neas rotativas)
WEB: www.bibhuma.fahce.unlp.edu.ar